import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL;

import javax.imageio.ImageIO;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;


@SuppressWarnings("serial")
public class GlavnoOkno extends JFrame implements ActionListener {
	private SlikaPanel slika;
	private JButton gumb;
	private JTextField urlText;
	
	public GlavnoOkno() {
		super();
		setTitle("SpletnaSlika");
		slika = new SlikaPanel();
		// Nastavimo layout manager
		setLayout(new GridBagLayout());
		// Dodamo sliko
		GridBagConstraints c = new GridBagConstraints();
		c.fill = GridBagConstraints.BOTH;
		c.gridy = 0;
		c.gridx = 0;
		c.weightx = 1.0;
		c.weighty = 1.0;
		c.gridwidth = GridBagConstraints.REMAINDER;
		c.anchor = GridBagConstraints.CENTER;
		add(slika, c);
		// Dodamo napis "Naslov"
		c = new GridBagConstraints();
		c.gridy = 1;
		c.gridx = 0;
		add(new JLabel("Naslov:"));
		// Dodamo polje za vpis URL
		c = new GridBagConstraints();
		c.gridy = 1;
		c.gridx = 1;
		c.fill = GridBagConstraints.HORIZONTAL;
		c.weightx = 1.0;
		urlText = new JTextField();
		add(urlText, c);
		// Dodamo gumb
		c = new GridBagConstraints();
		c.gridy = 1;
		c.gridx = 2;
		gumb = new JButton("Naloži");
		gumb.addActionListener(this);
		add(gumb, c);		
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == gumb) {
			try {
				URL url = new URL(urlText.getText());
				BufferedImage s = ImageIO.read(url);
				slika.setSlika(s);
			} catch (IOException exc) {
				System.out.println("Bad URL");
			}
			
		}
		
	}
}
